"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = void 0;
const getModels_1 = require("./parser/getModels");
const getServer_1 = require("./parser/getServer");
const getServices_1 = require("./parser/getServices");
const getServiceVersion_1 = require("./parser/getServiceVersion");
function parse(openApi) {
    const version = getServiceVersion_1.getServiceVersion(openApi.info.version);
    const server = getServer_1.getServer(openApi);
    const models = getModels_1.getModels(openApi);
    const services = getServices_1.getServices(openApi);
    return { version, server, models, services };
}
exports.parse = parse;
