"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModels = void 0;
const getModel_1 = require("./getModel");
const getType_1 = require("./getType");
function getModels(openApi) {
    const models = [];
    for (const definitionName in openApi.definitions) {
        if (openApi.definitions.hasOwnProperty(definitionName)) {
            const definition = openApi.definitions[definitionName];
            const definitionType = getType_1.getType(definitionName);
            const model = getModel_1.getModel(openApi, definition, true, definitionType.base);
            models.push(model);
        }
    }
    return models;
}
exports.getModels = getModels;
