"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOperationResponses = void 0;
const getOperationResponse_1 = require("./getOperationResponse");
const getOperationResponseCode_1 = require("./getOperationResponseCode");
const getRef_1 = require("./getRef");
function getOperationResponses(openApi, responses) {
    const operationResponses = [];
    for (const code in responses) {
        if (responses.hasOwnProperty(code)) {
            const responseOrReference = responses[code];
            const response = getRef_1.getRef(openApi, responseOrReference);
            const responseCode = getOperationResponseCode_1.getOperationResponseCode(code);
            if (responseCode) {
                const operationResponse = getOperationResponse_1.getOperationResponse(openApi, response, responseCode);
                operationResponses.push(operationResponse);
            }
        }
    }
    return operationResponses.sort((a, b) => {
        return a.code < b.code ? -1 : a.code > b.code ? 1 : 0;
    });
}
exports.getOperationResponses = getOperationResponses;
