"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRef = void 0;
function getRef(openApi, item) {
    if (item.$ref) {
        const paths = item.$ref
            .replace(/^#/g, '')
            .split('/')
            .filter(item => item);
        let result = openApi;
        paths.forEach((path) => {
            if (result.hasOwnProperty(path)) {
                result = result[path];
            }
            else {
                throw new Error(`Could not find reference: "${item.$ref}"`);
            }
        });
        return result;
    }
    return item;
}
exports.getRef = getRef;
