"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getType = void 0;
const constants_1 = require("./constants");
const getMappedType_1 = require("./getMappedType");
const stripNamespace_1 = require("./stripNamespace");
function getType(value, template) {
    const result = {
        type: constants_1.PrimaryType.OBJECT,
        base: constants_1.PrimaryType.OBJECT,
        template: null,
        imports: [],
    };
    const valueClean = stripNamespace_1.stripNamespace(value || '');
    if (/\[.*\]$/g.test(valueClean)) {
        const matches = valueClean.match(/(.*?)\[(.*)\]$/);
        if (matches && matches.length) {
            const match1 = getType(matches[1]);
            const match2 = getType(matches[2]);
            if (match1.type === constants_1.PrimaryType.ARRAY) {
                result.type = `${match2.type}[]`;
                result.base = `${match2.type}`;
                match1.imports = [];
            }
            else if (match2.type) {
                result.type = `${match1.type}<${match2.type}>`;
                result.base = match1.type;
                result.template = match2.type;
            }
            else {
                result.type = match1.type;
                result.base = match1.type;
                result.template = match1.type;
            }
            result.imports.push(...match1.imports);
            result.imports.push(...match2.imports);
        }
    }
    else if (getMappedType_1.hasMappedType(valueClean)) {
        const mapped = getMappedType_1.getMappedType(valueClean);
        result.type = mapped;
        result.base = mapped;
    }
    else if (valueClean) {
        result.type = valueClean;
        result.base = valueClean;
        result.imports.push(valueClean);
    }
    if (result.type === template) {
        result.type = 'T';
        result.base = 'T';
        result.imports = [];
    }
    return result;
}
exports.getType = getType;
