"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stripNamespace = void 0;
function stripNamespace(value) {
    return (value
        .trim()
        .replace(/^#\/components\/schemas\//, '')
        .replace(/^#\/components\/responses\//, '')
        .replace(/^#\/components\/parameters\//, '')
        .replace(/^#\/components\/examples\//, '')
        .replace(/^#\/components\/requestBodies\//, '')
        .replace(/^#\/components\/headers\//, '')
        .replace(/^#\/components\/securitySchemes\//, '')
        .replace(/^#\/components\/links\//, '')
        .replace(/^#\/components\/callbacks\//, '')
        .replace(/(\[.*\]$)/, (s) => {
        const v = s.replace('[', '').replace(']', '').split('.').pop();
        return `[${v}]`;
    })
        .replace(/.*/, (s) => {
        return s.split('.').pop();
    }));
}
exports.stripNamespace = stripNamespace;
