"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtendedByList = void 0;
const flatMap_1 = require("./flatMap");
const unique_1 = require("./unique");
function getExtendedByList(model, client) {
    const extendedBy = client.models.filter(ref => {
        const names = model.isDefinition ? [model.name] : model.base.split(' | ');
        return names.find(name => {
            return ref.extends.includes(name);
        });
    });
    if (extendedBy.length) {
        extendedBy.push(...flatMap_1.flatMap(extendedBy, ref => getExtendedByList(ref, client)));
    }
    return extendedBy.filter(unique_1.unique);
}
exports.getExtendedByList = getExtendedByList;
