"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOpenApiVersion = exports.OpenApiVersion = void 0;
var OpenApiVersion;
(function (OpenApiVersion) {
    OpenApiVersion[OpenApiVersion["V2"] = 2] = "V2";
    OpenApiVersion[OpenApiVersion["V3"] = 3] = "V3";
})(OpenApiVersion = exports.OpenApiVersion || (exports.OpenApiVersion = {}));
function getOpenApiVersion(openApi) {
    const info = openApi.swagger || openApi.openapi;
    if (info && typeof info === 'string') {
        const c = info.charAt(0);
        const v = Number.parseInt(c);
        if (v === OpenApiVersion.V2 || v === OpenApiVersion.V3) {
            return v;
        }
    }
    throw new Error(`Unsupported Open API version: "${String(info)}"`);
}
exports.getOpenApiVersion = getOpenApiVersion;
