"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postProcessServiceOperations = void 0;
const flatMap_1 = require("./flatMap");
const postProcessUnionTypes_1 = require("./postProcessUnionTypes");
function postProcessServiceOperations(service, client, useUnionTypes = false) {
    const names = new Map();
    return service.operations.map(operation => {
        const clone = Object.assign({}, operation);
        clone.parameters = clone.parameters.map(parameter => postProcessUnionTypes_1.postProcessUnionTypes(parameter, client, useUnionTypes));
        clone.results = clone.results.map(result => postProcessUnionTypes_1.postProcessUnionTypes(result, client, useUnionTypes));
        clone.imports.push(...flatMap_1.flatMap(clone.parameters, parameter => parameter.imports));
        clone.imports.push(...flatMap_1.flatMap(clone.results, result => result.imports));
        const name = clone.name;
        const index = names.get(name) || 0;
        if (index > 0) {
            clone.name = `${name}${index}`;
        }
        names.set(name, index + 1);
        return clone;
    });
}
exports.postProcessServiceOperations = postProcessServiceOperations;
