"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postProcessUnionTypes = void 0;
const getExtendedByList_1 = require("./getExtendedByList");
function postProcessUnionTypes(model, client, useUnionTypes) {
    const clone = Object.assign({}, model);
    if (useUnionTypes) {
        if (!clone.isDefinition) {
            const extendedBy = getExtendedByList_1.getExtendedByList(clone, client);
            const extendedByNames = extendedBy.map(m => m.name);
            clone.base = [clone.base, ...extendedByNames].sort().join(' | ');
            clone.imports = clone.imports.concat(...extendedByNames);
        }
        clone.properties = clone.properties.map(property => postProcessUnionTypes(property, client, useUnionTypes));
        clone.properties.forEach(property => {
            clone.imports.push(...property.imports);
        });
        clone.link = clone.link ? postProcessUnionTypes(clone.link, client, useUnionTypes) : null;
        if (clone.link) {
            clone.imports.push(...clone.link.imports);
        }
    }
    return clone;
}
exports.postProcessUnionTypes = postProcessUnionTypes;
