"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeClientIndex = void 0;
const fs = require("fs");
const path = require("path");
const getModelNames_1 = require("./getModelNames");
const getServiceNames_1 = require("./getServiceNames");
function writeClientIndex(client, templates, outputPath, exportCore, exportServices, exportModels, exportSchemas) {
    fs.writeFileSync(path.resolve(outputPath, 'index.ts'), templates.index({
        exportCore,
        exportServices,
        exportModels,
        exportSchemas,
        server: client.server,
        version: client.version,
        models: getModelNames_1.getModelNames(client.models),
        services: getServiceNames_1.getServiceNames(client.services),
    }));
}
exports.writeClientIndex = writeClientIndex;
